.cookie-bar {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: #fff;
    border-top: 1px solid #ddd;
    padding: 15px 0;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 14px;
    box-shadow: 0 2px 10px rgba(10, 10, 10, .3);
    z-index: 9999;
    transition: opacity .2s ease-out, transform .2s ease-out;
}

.cookie-bar .container {
    padding-left: 15px;
    padding-right: 60px;
    position: relative;
}

.cookie-bar__link {
    text-decoration: underline;
    display: inline-block;
}

.cookie-bar__btn {
    background-color: #ddd;
    border: 0;
    position: absolute;
    right: 15px;
    top: 0;
    display: inline-block;
    height: 36px;
    border-radius: 40px;
    font-size: 14px;
}

.cookie-bar__btn-icon,
.cookie-bar__btn-icon .icon {
    display: inline-block;
    width: 15px;
    height: 15px;
    vertical-align: top;
}

.cookie-bar__btn-icon {
    position: relative;
    vertical-align: top;
    margin-top: 1px;
    width: 15px;
    height: 15px;
}

.cookie-bar__btn-icon:before,
.cookie-bar__btn-icon:after {
    content: '';
    width: 2px;
    height: 15px;
    background-color: #333;
    position: absolute;
    top: 0;
    left: 50%;
}

.cookie-bar__btn-icon:before {
    -webkit-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

.cookie-bar__btn-icon:after {
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

@media (max-width: 767px) {
    .cookie-bar__btn {
        width: 36px;
    }

    .cookie-bar__btn-text {
        display: none;
    }

    .cookie-bar__btn-icon {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        margin-top: 0;
        margin-left: -2px;
    }
}

@media (min-width: 768px) {
    .cookie-bar__btn {
        top: 50%;
        transform: translateY(-50%);
        padding: 0 15px;
    }

    .cookie-bar .container {
        padding-right: 120px;
    }
}
